@font-face {
  font-family: 'myfont';
  src: url('assets/text.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

* {
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    -webkit-font-smoothing: none;
    -moz-osx-font-smoothing: grayscale;

    color: #d0f1d0;
}

body {
    width: 100%;
    min-height: 100vh;

    background-image: linear-gradient(transparent, black), url("assets/background.gif");
    background-size: cover, 5%;
    background-repeat: no-repeat, repeat;
    background-attachment: fixed, scroll;

    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 0px;
}

.content {
    background-color: rgb(13, 0, 10);
    height: 100%;
    min-height: 100vh;
    width: 75%;
    
    margin: 0px;
    text-align: center;
}

h1 {
    color: #eeffee;
}

.banner {
    width: 100%;
}

p {
    margin: 20px;
    font-size: 1.2em;
}

.navigation-button {
    padding: 20px;
    margin: 10px;

    background-image: linear-gradient(rgba(0, 0, 0, 0.425), black), url(assets/sad.png), linear-gradient(black);
    background-size: 20px;
    background-attachment: scroll, fixed, fixed;

    color: #68ff55;

    text-align: center;
}

a {
    text-decoration: none;
}

.navigation-button:hover {
    color: white;
}

.home-page-link {
    position: fixed;
    text-align: left;

    color: #68ff55;

    padding: 5px;

    background-image: linear-gradient(to bottom, black, transparent);
}

.game-canvas-container {
    background-color: white;
    margin: 20px;
    aspect-ratio: 2/1;
}

#gamecanvas {
    width: 100%;
    height: 100%;
    aspect-ratio: 2/1;
}